# listg_sparse_interval.hh File Reference

Sparse interval and iterators specializations. More...

Include dependency graph for listg_sparse_interval.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | SparseIterator< vcsn::handler< T, unsigned >, ExcludedContainer >
| SparseIterator is an iterator over range except some points. More...
class | SparseInterval< vcsn::handler< T, unsigned >, ExcludedContainer >
| Container over a sparse integer range. More...

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::misc

| The namespace for miscellaneous constructs.
namespace | std

| Declaring the traits for SupportIterator, according to the STL.

## Detailed Description

Sparse interval and iterators specializations.

Definition in file listg_sparse_interval.hh.